Page MenuHomePhabricator

Use English parameter names in donation routes
Closed, ResolvedPublic1 Estimated Story Points

Description

Currently, the routes donation/new and donation/add use different parameter names for the amount, some of the names are in German. This has led to confusion and extra code during banner and skin development.

AC:

  • amount is provided by amount parameter
  • English parameters paymentType (=zahlweise), and interval (=periode) are used consistently
  • All banners are adapted for the new parameters
  • Legacy parameter names
    • are still accepted.
    • log a notice.

Note:
New banners must use the new parameter. If the banner markup has different form field names for selected and "input" amount, the banner code must deal with unifying the amount into one parameter.

Related ticket: T204202: Unify localized number handling

Event Timeline

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptAug 31 2018, 1:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
gabriel-wmde updated the task description. (Show Details)Sep 6 2018, 12:02 PM
gabriel-wmde renamed this task from Harmonize amount parameters to Harmonize and translate parameters from banners .Sep 6 2018, 12:10 PM
gabriel-wmde updated the task description. (Show Details)
gabriel-wmde updated the task description. (Show Details)Sep 8 2018, 9:08 AM
gabriel-wmde updated the task description. (Show Details)Sep 13 2018, 1:39 PM
gabriel-wmde renamed this task from Harmonize and translate parameters from banners to Use English parameter names in donation routes.May 14 2019, 4:45 PM
gabriel-wmde updated the task description. (Show Details)
kai.nissen updated the task description. (Show Details)Jan 27 2020, 11:45 AM
kai.nissen set the point value for this task to 3.
kai.nissen moved this task from Needs Discussion to Sprint Ready on the WMDE-Fundraising-CFR board.
kai.nissen changed the point value for this task from 3 to 1.Mar 2 2020, 12:11 PM

Looks good. Some log entries are confusing, though. The title says "Some application is still submitting the deprecated form parameter 'zahlweise'", while the logged parameters contain the deprecated parameter periode instead. And I'm not sure, whether errBit squashes the occurrences correctly. In this example, two user agents are displayed (mine and some Android 6.0). Unless somebody else tested simultaneously using the test server, this seems unlikely.

Congrats, you found the copy-paste error! Fixed in https://github.com/wmde/FundraisingFrontend/pull/1704

kai.nissen closed this task as Resolved.Apr 30 2020, 12:14 PM